#                                               -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.

AC_PREREQ([2.69])
AC_INIT([OakLeaf], [0.0.1], [hroch@physics.muni.cz],
         [oakleaf],[http://integral.physics.muni.cz/oakleaf])
AM_INIT_AUTOMAKE
LT_INIT

# Checks for programs.
AC_PROG_FC
AC_PROG_INSTALL
AC_PROG_LN_S
AC_PROG_AWK

# Checks for libraries.
AC_CHECK_LIB([minpack], [lmder_])

# Checks for header files.

# Checks for typedefs, structures, and compiler characteristics.
AC_FC_MODULE_FLAG
AC_FC_MODULE_OUTPUT_FLAG
AC_FC_MODULE_EXTENSION

# Checks for library functions.

# clean precompiled modules of fortran
AC_SUBST(CLEANFILES,[*.$FC_MODEXT])

AC_CONFIG_MACRO_DIRS([m4])

AC_CONFIG_FILES([src/minpack/Makefile src/fmm/Makefile src/simplex/Makefile
                 src/Makefile test/Makefile doc/Makefile Makefile])
AC_OUTPUT
